| Home | Libraries | People | FAQ | More

##### touches (two geometries)

Checks if two geometries have at least one touching point (tangent - non overlapping)

###### Synopsis

    template<typename Geometry1, typename Geometry2>
    bool touches(Geometry1 const & geometry1, Geometry2 const & geometry2)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Geometry1 const & | Any type fulfilling a Geometry Concept | geometry1 | A model of the specified concept
Geometry2 const & | Any type fulfilling a Geometry Concept | geometry2 | A model of the specified concept

###### Returns

Returns true if two geometries touch each other

###### Header

Either

`#include <boost/geometry/geometry.hpp>`

Or

`#include <boost/geometry/algorithms/touches.hpp>`

###### Conformance

The function touches implements function Touches from the OGC Simple Feature Specification.

The version with one parameter is additional and not described in the OGC standard

| Note
only implemented for polygon/multi_polygon